Update the OIDC configuration in the ONTAP cluster
PATCH /security/authentication/cluster/oidc
Introduced In: 9.19
Updates the OIDC configuration in the cluster.
Required properties
-
enabled
Related ONTAP commands
-
security oidc modify
Request Body
| Name | Type | Description |
|---|---|---|
client_secret_hash |
string |
The hash of the client secret for the application. |
enabled |
boolean |
Indicates whether the OpenID Connect configuration is enabled. |
Example request
{
"client_secret_hash": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"enabled": 1,
"skip_uri_validation": ""
}
Response
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
301465616 |
Failed to enable OIDC feature, web server setup is in progress. Retry after some time. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
security_oidc
| Name | Type | Description |
|---|---|---|
client_secret_hash |
string |
The hash of the client secret for the application. |
enabled |
boolean |
Indicates whether the OpenID Connect configuration is enabled. |
job_link
| Name | Type | Description |
|---|---|---|
uuid |
string |
The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |